%global __requires_exclude 	pear\\(PHPUnit/Framework.php\\)
%define upstream_name Net_URL_Mapper
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.1
Release:     	%mkrel 9
Summary:    	Provides a simple and flexible way to build nice URLs for web applications
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_URL_Mapper-%{version}.tgz
URL: 		http://pear.php.net/package/Net_URL_Mapper
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Net_URL >= 1.0.14
Requires:	php-pear >= 1.4.3
BuildArch: 	noarch

%description
Net_URL_Mapper provides a simple and flexible way to build nice URLs for
your web applications.

The URL syntax is similar to what can be found in Ruby on Rails or Python
Routes module 
and as such, this package can be compared to what they call a router.
Still, Net_URL_Mapper 
does not perform the dispatching like these frameworks and therefore can be
used with your 
own router.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_URL_Mapper.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_URL_Mapper.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_URL_Mapper
fi

%files
%{peardir}/*
%{_bindir}/*
%{xmldir}/Net_URL_Mapper.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.1-9.mga8
+ Revision: 1499122
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.1-8.mga7
+ Revision: 1273742
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.9.1-7.mga6
+ Revision: 931371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-6.mga5
+ Revision: 744886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 687396
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1-4.mga4
+ Revision: 517110
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 377061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 0.9.1-2.mga2
+ Revision: 199219
- added _requires_exceptions pear(PHPUnit/Framework.php)

* Fri Jan 20 2012 spuhler <spuhler> 0.9.1-1.mga2
+ Revision: 198540
- imported package php-pear-Net_URL_Mapper

